#pragma once

#include "..\munga_l4\l4grend.h"

//~~~~~~~~~~~~~~~~~~~~~~~~~~ RPL4GaugeRenderer ~~~~~~~~~~~~~~~~~~~~~~~~~~

class RPL4GaugeRenderer : public L4GaugeRenderer
{
public:

	//
	//--------------------------------------------------------------------
	// Construction, Destruction, Testing
	//--------------------------------------------------------------------
	//
	RPL4GaugeRenderer(bool windowed, int *secondaryIndex, int *aux1Gauge, int *aux2Gauge);
	~RPL4GaugeRenderer();

	Logical TestInstance() const;

	void NotifyOfNewInterestingEntity(Entity *entity);
	void NotifyOfBecomingUninterestingEntity(Entity *entity);
	//
	//--------------------------------------------------------------------
	// LoadMissionImplementation
	//	ShutdownImplementation
	//	SuspendImplementation
	//	ResumeImplementation
	//
	// These are virtual functions defined by the Renderer class.
	// Derived classes must call these methods.
	//--------------------------------------------------------------------
	//
	void LoadMissionImplementation(Mission *mission);
	void ShutdownImplementation();
};
